Vulnerability CVE-2019-14806


Published: 2019-08-09

Description:
Pallets Werkzeug before 0.15.3, when used with Docker, has insufficient debugger PIN randomness because Docker containers share the same machine id.

Type:

CWE-331

(Insufficient Entropy)

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:N/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
5/10
2.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
None
None
Affected software
Palletsprojects -> Werkzeug 

 References:
http://lists.opensuse.org/opensuse-security-announce/2019-09/msg00034.html
http://lists.opensuse.org/opensuse-security-announce/2019-09/msg00047.html
https://github.com/pallets/werkzeug/blob/7fef41b120327d3912fbe12fb64f1951496fcf3e/src/werkzeug/debug/__init__.py#L168
https://github.com/pallets/werkzeug/commit/00bc43b1672e662e5e3b8cecd79e67fc968fa246
https://palletsprojects.com/blog/werkzeug-0-15-3-released/

Copyright 2022, cxsecurity.com

 

Back to Top